﻿--
-- Script was generated by Devart dbForge Studio 2019 for MySQL, Version 8.2.23.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 14/09/2021 13:26:32
-- Server version: 5.5.5-10.4.11-MariaDB
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS depart;

CREATE DATABASE IF NOT EXISTS depart
CHARACTER SET utf8
COLLATE utf8_spanish_ci;

--
-- Set default database
--
USE depart;

--
-- Create table `depart`
--
CREATE TABLE IF NOT EXISTS depart (
  dept_no int(11) NOT NULL DEFAULT 0,
  dnombre varchar(30) DEFAULT NULL,
  loc varchar(30) DEFAULT NULL,
  PRIMARY KEY (dept_no)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 4096,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create table `emple`
--
CREATE TABLE IF NOT EXISTS emple (
  emp_no int(11) NOT NULL,
  apellido varchar(50) NOT NULL,
  oficio varchar(30) DEFAULT NULL,
  dir int(11) DEFAULT NULL,
  fecha_alt date DEFAULT NULL,
  salario int(11) DEFAULT NULL,
  comision int(11) DEFAULT NULL,
  dept_no int(11) DEFAULT NULL,
  PRIMARY KEY (emp_no)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 1170,
CHARACTER SET utf8,
COLLATE utf8_spanish_ci;

--
-- Create foreign key
--
ALTER TABLE emple
ADD CONSTRAINT FK_emple_depart FOREIGN KEY (dept_no)
REFERENCES depart (dept_no);

-- 
-- Dumping data for table depart
--
INSERT INTO depart VALUES
(10, 'CONTABILIDAD', 'SEVILLA'),
(20, 'INVESTIGACIÓN', 'MADRID'),
(30, 'VENTAS', 'BARCELONA'),
(40, 'PRODUCCIÓN', 'BILBAO'),
(50, 'DESARROLLO', 'SANTANDER'),
(60, 'INFORMATICA', 'OVIEDO');

-- 
-- Dumping data for table emple
--
INSERT INTO emple VALUES
(7369, 'SÁNCHEZ', 'EMPLEADO', 5000, '2020-12-17', 1040, NULL, 20),
(7499, 'ARROYO', 'VENDEDOR', 7698, '2020-02-20', 1500, 390, 30),
(7521, 'SALA', 'VENDEDOR', 7698, '2010-02-22', 1625, 650, 30),
(7566, 'JIMÉNEZ', 'DIRECTOR', 7839, '2010-04-02', 2900, NULL, 20),
(7654, 'MARTÍN', 'VENDEDOR', 7698, '2010-09-29', 1600, 1020, 30),
(7698, 'NEGRO', 'DIRECTOR', 7839, '2010-05-01', 3005, NULL, 30),
(7782, 'CEREZO', 'DIRECTOR', 7839, '2010-06-09', 2885, NULL, 10),
(7788, 'GIL', 'ANALISTA', 7566, '2010-11-09', 3000, NULL, 20),
(7839, 'REY', 'PRESIDENTE', NULL, '2010-11-17', 4100, NULL, 10),
(7844, 'TOVAR', 'VENDEDOR', 7698, '2010-09-08', 1350, 0, 30),
(7876, 'ALONSO', 'EMPLEADO', 7788, '2010-09-23', 1430, NULL, 20),
(7900, 'JIMENO', 'EMPLEADO', 7698, '2010-12-03', 1335, NULL, 30),
(7902, 'FERNÁNDEZ', 'ANALISTA', 7566, '2010-12-03', 3000, NULL, 20),
(7934, 'MUÑOZ', 'EMPLEADO', 7782, '2015-01-23', 1690, NULL, 10),
(8000, 'GOMEZ', 'EMPLEADO', 7698, '2019-05-20', 2500, 1000, 50);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;